<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Actividad 4</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
        integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">

    <style>
        .cardd {

            box-shadow: 5px 0 5px 2px rgba(0, 1, 1, 0.4);
            /*SOMBRA DE 1 px*/
        }

        .imagen {
            background-image: url(imagen.jpg);
            background-size: 100% 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
</head>

<!-- ===================================COMENTARIO==================================-->
<!--Si las columnas estuvieras indicadas en 4 y 8, quedaría igual a lo de la imagen. Sin embargo, seguimos las instrucciones.-->
<!-- ===================================COMENTARIO==================================-->

<body style="background-color: #f4f1f1;" class="row justify-content-center align-items-center vh-100">

    <div class="container justify-content-center" style="padding-top: 5%;">
        <div class="col align-self-center">
            <div class="cardd">
                <div class="row no-gutters justify-content-center">
                    <div class="col-3 imagen">

                    </div>
                    <div class="col-9 p-4" style="background-color: white;">
                        <div class="col">
                            <div class="text-center">
                                <h2 class="card-title">Registro de usuarios</h2>
                                <hr width="30%">
                                <p>Este formulario permite registrar usuarios en el sistema</p>
                                <hr width="58%">
                            </div>
                            <form autocomplete="off">
                                <div class="row">
                                    <div class="col">
                                        <!-- Nombre -->
                                        <div class="form-group">
                                            <label for="nombre" class="col-form-label">Nombre</label>
                                            <input type="text" class="form-control" id="nombre"
                                                placeholder="Ingrese su nombre" required>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <!-- APELLIDOS -->
                                        <div class="form-group">
                                            <label for="Apellidos" class="col-form-label">Apellidos</label>
                                            <input type="text" class="form-control" id="Apellidos"
                                                placeholder="Ingrese apellidos" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col">
                                        <!-- RUT -->
                                        <div class="form-group">
                                            <label for="rut" class="col-form-label">RUT</label>
                                            <input type="text" class="form-control" id="rut"
                                                placeholder="Ingrese su RUT" maxlength="14" required>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <!-- COMUNAS -->
                                        <div class="form-group">
                                            <label for="Comuna" class="col-form-label">Comuna</label>
                                            <select class="form-control" id="Comuna" required>
                                                <option value="">Ingrese su comuna</option>
                                                <option>Lebu</option>
                                                <option>Arauco</option>
                                                <option>Cañete</option>
                                                <option>Contulmo</option>
                                                <option>Curanilahue</option>
                                                <option>Los Álamos</option>
                                                <option>Tirúa</option>
                                                <option>Los Ángeles</option>
                                                <option>Alto Bío Bío</option>
                                                <option>Mulchén</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col">
                                        <!-- DIRECCIÓN -->
                                        <div class="form-group">
                                            <label for="direccion" class="col-form-label">Dirección</label>
                                            <input type="text" class="form-control" id="direccion"
                                                placeholder="Ingrese su domicilio" required>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <!-- CONTRASEÑA -->
                                        <div class="form-group">
                                            <label for="Contraseña" class="col-form-label">Contraseña</label>
                                            <input type="password" class="form-control" id="Contraseña"
                                                placeholder="Ingrese su contraseña" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col">
                                        <!-- CORREO ELECTRÓNICO -->
                                        <div class="form-group">
                                            <label for="correo" class="col-form-label">Correo electrónico</label>
                                            <input type="email" class="form-control" id="correo"
                                                pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
                                                placeholder="Ingrese su correo electrónico"
                                                onkeypress="return correo(event)" onpaste="return false" required>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <!-- TELÉFONO -->
                                        <div class="form-group">
                                            <label for="telefono" class="col-form-label">Teléfono</label>
                                            <input type="text" class="form-control" id="telefono"
                                                onkeypress="return solonumeros(event)" onpaste="return false"
                                                placeholder="Ingrese su teléfono" required>
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-dark  btn-block">Registrar</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!--card shadow-->
        </div>
    </div>
    <!--container-->


    <script>
        function solonumeros(e) {
            key = e.keycode || e.which;
            teclado = String.fromCharCode(key).toLowerCase();
            letras = "1234567890";
            especiales = "8-37-38-39-46-164";
            teclado_especial = false;

            for (var i in especiales) {
                if (key == especiales[i]) {
                    teclado_especial = true;
                    break;
                }
            }
            if (letras.indexOf(teclado) === -1 && !teclado_especial) {
                return false;
            }
        }

        function correo(e) {
            key = e.keycode || e.which;
            teclado = String.fromCharCode(key).toLowerCase();
            letras = "1234567890abcdefghijklmnñopqrstuvwxyzáéíóú@.";
            especiales = "8-37-38-39-46-164";
            teclado_especial = false;

            if (letras.indexOf(teclado) === -1 && !teclado_especial) {
                return false;
            }
        }
    </script>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
        integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI"
        crossorigin="anonymous"></script>
</body>

</html>